Movable Typeの動作環境

はい。見事にはまりました。普通に動作環境満たしていたはずなので、DBから出力している文字列がすべて文字化けしてしまったので、DBの文字コードがDBとのやり取りする部分の文字コードがずれていたか?って3時間ぐらい悩んで、インストールしなおして、MySQLが悪いならPostgreSQLにすればいいじゃない!って思ったら、8以降でないと対応していなくて、VPSで動いているサーバーなので、提供されていたバージョンが、7系までで、OSがFreeBSDだからRPM使えないし、ports取りに行って更新かけても旨く動かないし・・・悩んでいたらどうもPerlのバージョンが、5.6.1でしたとさ・・・。

最初に確認しろ!<俺!<つーか古っ

バージョンアップパッケージが、サーバー会社から提供されていたので、それを使ってバージョンアップ、ports使ってDBIなどを更新したら、何も変更しなくても、ちゃんと使えましたとさ。

たまにはあるよね???

この投稿へのコメント

コメントはありません。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください

この投稿へのトラックバック

トラックバックはありません。

トラックバック URL